aboutsummaryrefslogtreecommitdiff
path: root/test_testlib.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test_testlib.sh')
-rwxr-xr-xtest_testlib.sh22
1 files changed, 22 insertions, 0 deletions
diff --git a/test_testlib.sh b/test_testlib.sh
new file mode 100755
index 0000000..bfaecaa
--- /dev/null
+++ b/test_testlib.sh
@@ -0,0 +1,22 @@
+#!/bin/bash
+# testsuite for testlib
+
+. ./testlib.sh
+
+test_success() {
+ exit 0
+}
+
+test_fail() {
+ exit 1
+}
+
+test_options() {
+ echo "$@"
+ exit 1
+}
+
+expect_success test_success
+expect_fail test_fail
+expect_fail test_options "hello world"
+testlib_summary